Skip to main content
`Ctrl`+`K`

# MatCreateSeqDenseCUDA

Creates a sequential matrix in dense format using CUDA.

## Synopsis

    PetscErrorCode MatCreateSeqDenseCUDA(MPI_Comm comm, PetscInt m, PetscInt n, PetscScalar *data, Mat *A)

Collective

## Input Parameters

- comm - MPI communicator

- m - number of rows

- n - number of columns

- data - optional location of GPU matrix data. Pass `NULL` to let PETSc to control matrix memory allocation

## Output Parameter

- A - the matrix

## See Also

`Mat`, `MatType`, `MATSEQDENSECUDA`, `MatCreate()`, `MatCreateSeqDense()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/cupm/cuda/matseqdensecuda.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages